# WordPress Rules

- WordPress
    - WordPress.VIP
        - WordPress.VIP.SessionVariableUsage
            - WordPress.VIP.SessionVariableUsage.SessionVarsProhibited
        - WordPress.VIP.SuperGlobalInputUsage
            - VIP.SuperGlobalInputUsage.AccessDetected
        - WordPress.VIP.ValidatedSanitizedInput
            - WordPress.VIP.ValidatedSanitizedInput.InputNotValidatedNotSanitized
            - WordPress.VIP.ValidatedSanitizedInput.InputNotValidated
            - WordPress.VIP.ValidatedSanitizedInput.InputNotSanitized
    - WordPress.XSS
        - WordPress.XSS.EscapeOutput
            - WordPress.XSS.EscapeOutput.OutputNotEscapedShortEcho
            - WordPress.XSS.EscapeOutput.UnsafePrintingFunction
            - WordPress.XSS.EscapeOutput.OutputNotEscaped
            - WordPress.XSS.EscapeOutput.DeprecatedCustomSanitizingFunctions
    - WordPress.WP
        - WordPress.WP.AlternativeFunctions
            - WordPress.WP.AlternativeFunctions.curl
        - WordPress.WP.DiscouragedConstants
            - WordPress.WP.DiscouragedConstants.UsageFound
            - WordPress.WP.DiscouragedConstants.DeclarationFound
        - WordPress.WP.I18n
            - WordPress.WP.I18n.SingleUnderscoreGetTextFunction
            - WordPress.WP.I18n.LowLevelTranslationFunction
            - WordPress.WP.I18n.TooManyFunctionArgs
            - WordPress.WP.I18n.MissingArg{$textdomain}
            - WordPress.WP.I18n.MissingArgDefault
            - WordPress.WP.I18n.TextDomainMismatch
            - WordPress.WP.I18n.SuperfluousDefaultTextDomain
            - WordPress.WP.I18n.NonSingularStringLiteral{$textdomain}
            - WordPress.WP.I18n.MissingSingularPlaceholder
            - WordPress.WP.I18n.MismatchedPlaceholders
            - WordPress.WP.I18n.MixedOrderedPlaceholders{$textdomain}
            - WordPress.WP.I18n.UnorderedPlaceholders{$textdomain}
            - WordPress.WP.I18n.NoEmptyStrings
            - WordPress.WP.I18n.TranslatorsCommentWrongStyle
            - WordPress.WP.I18n.MissingTranslatorsComment
    - WordPress.Arrays
        - WordPress.Arrays.CommaAfterArrayItem
            - WordPress.Arrays.CommaAfterArrayItem.SpaceBeforeComma
            - WordPress.Arrays.CommaAfterArrayItem.NoSpaceAfterComma
            - WordPress.Arrays.CommaAfterArrayItem.CommaAfterLast
            - WordPress.Arrays.CommaAfterArrayItem.NoComma
    - WordPress.PHP
        - WordPress.PHP.StrictComparisons
            - WordPress.PHP.StrictComparisons.LooseComparison
        - WordPress.PHP.StrictInArray
            - WordPress.PHP.StrictInArray.MissingTrueStrict
            - WordPress.PHP.StrictInArray.FoundNonStrictFalse
            - WordPress.PHP.StrictInArray.MissingArguments
        - WordPress.PHP.POSIXFunctions
            - WordPress.PHP.POSIXFunctions.ereg
            - WordPress.PHP.POSIXFunctions.ereg_replace
            - WordPress.PHP.POSIXFunctions.split
        - WordPress.PHP.RestrictedPHPFunctions
            - WordPress.PHP.RestrictedPHPFunctions.create_function
        - WordPress.PHP.DiscouragedPHPFunctions
            - WordPress.PHP.DiscouragedPHPFunctions.runtime_configuration
            - WordPress.PHP.DiscouragedPHPFunctions.system_calls
        - WordPress.PHP.DevelopmentFunctions
            - WordPress.PHP.DevelopmentFunctions.error_log
            - WordPress.PHP.DevelopmentFunctions.prevent_path_disclosure
